# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# C:\b\abs_bcryt6424c\clone\recipe, last modified Fri May  3 18:21:48 2024
# ------------------------------------------------

package:
  name: snowflake-connector-python
  version: 3.10.0
source:
  sha256: 7c7438e958753bd1174b73581d77c92b0b47a86c38d8ea0ba1ea23c442eb8e75
  url: https://pypi.io/packages/source/s/snowflake-connector-python/snowflake_connector_python-3.10.0.tar.gz
build:
  entry_points:
    - snowflake-dump-certs = snowflake.connector.tool.dump_certs:main
    - snowflake-dump-ocsp-response = snowflake.connector.tool.dump_ocsp_response:main
    - snowflake-dump-ocsp-response-cache = snowflake.connector.tool.dump_ocsp_response_cache:main
    - snowflake-export-certs = snowflake.connector.tool.export_certs:main
  number: '0'
  script:
    - C:\\b\\abs_bcryt6424c\\croot\\snowflake-connector-python_1714756928990\\_h_env\\python.exe
      -m pip install . --no-deps --no-build-isolation -vv
  string: py311hd77b12b_0
requirements:
  build:
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
  host:
    - bzip2 1.0.8 h2bbff1b_6
    - ca-certificates 2024.3.11 haa95532_0
    - cython 3.0.10 py311h2bbff1b_0
    - libffi 3.4.4 hd77b12b_1
    - openssl 3.0.13 h2bbff1b_1
    - pip 23.3.1 py311haa95532_0
    - python 3.11.9 he1021f5_0
    - setuptools 68.2.2 py311haa95532_0
    - sqlite 3.45.3 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.43.0 py311haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
  run:
    - asn1crypto >0.24.0,<2.0.0
    - certifi >=2017.4.17
    - cffi >=1.9,<2.0.0
    - charset-normalizer >=2,<4
    - cryptography >=3.1.0,<43.0.0
    - filelock >=3.5,<4
    - idna >=2.5,<4
    - packaging
    - platformdirs >=2.6.0,<5.0.0
    - pyjwt <3.0.0
    - pyopenssl >=16.2.0,<25.0.0
    - python >=3.11,<3.12.0a0
    - pytz
    - requests <3.0.0
    - sortedcontainers >=2.4.0
    - tomlkit
    - typing-extensions >=4.3,<5
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
  run_constrained:
    - keyring >=23.1.0,<25.0.0
    - pandas >=1.0.0,<3.0.0
test:
  commands:
    - pip check
  imports:
    - snowflake
    - snowflake.connector
    - snowflake.connector.nanoarrow_arrow_iterator
  requires:
    - pip
about:
  description: 'The Snowflake Connector for Python provides an interface for

    developing Python applications that can connect to Snowflake

    and perform all standard operations. It provides a programming

    alternative to developing applications in Java or C/C++ using

    the Snowflake JDBC or ODBC drivers.

    '
  dev_url: https://github.com/snowflakedb/snowflake-connector-python
  doc_url: https://docs.snowflake.net/manuals/user-guide/python-connector.html
  home: https://github.com/snowflakedb/snowflake-connector-python
  license: Apache-2.0
  license_family: Apache
  license_file:
    - LICENSE.txt
    - NOTICE
  summary: Snowflake Connector for Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: bcb9226b-5af1-4730-9a8c-eb55ff43c01d
  recipe-maintainers:
    - fhoehle
    - hajapy
    - mariusvniekerk
    - talues
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/snowflake-connector-python-feedstock.git
  sha: 166aa4f63959dbc38f20eb0d9d5cc4499b9dd098
